.TH setINDI 1
.SH NAME
setINDI \- set one or more writable INDI property values
.SH SYNOPSIS
\fBsetINDI [options] device.property.e1[;e2...]=v1[;v2...] ... \fP

.SH DESCRIPTION
.na
.nh
.PP
setINDI connects to an indiserver and sends commands to set new values for
specified properties. Each property is specified using three components 
followed by the new value in the following form:
.IP
device.property.element=value
.PP
Since in element may be an array, the syntax allows for multiple elements
for one property to be specified separated by semicolons, and the value to
have an equal number of components also separated by semicolons. When
specified in this manner, all elements are updated atomically.

.SH OPTIONS
.TP 12
-h <h>
connect to alternate host h; the default is localhost.
.TP
-p <p>
connect using alternate port p; the default is 7624.
.TP
-t <t>
wait no longer than t seconds to accomplish setting the new values; the
default is 2 seconds.
.TP
-v
generate additional information on stderr.

.SH EXIT STATUS
The setINDI program exits with a status of 0 if it suceeded in setting the
new value for each specified property. It exits with 1 if there was at least
one property for which a value could not be set within the given timeout period.
It exits with 2 if there was some other error such as not being able to
connect to the indiserver.

.SH EXAMPLES
.PP
Send new lat/long location values atomically to the Mount driver:
.IP
setINDI 'Mount.Location.Latitude;Longitude=30;100'

.SH SEE ALSO
.PP
evalINDI, getINDI
